Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message
Class UpnpHeaders

    java.lang.Object
      org.teleal.cling.model.message.UpnpHeaders

All Implemented Interfaces:
  Map<UpnpHeader.Type,List<UpnpHeader>>

    public class UpnpHeaders

extends Object
implements Map<UpnpHeader.Type,List<UpnpHeader>>

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`UpnpHeaders()`
`UpnpHeaders(org.teleal.common.http.Headers headers)`
`UpnpHeaders(Map<UpnpHeader.Type,List<UpnpHeader>> map)`

Method Summary
`void` | `add(UpnpHeader.Type key, UpnpHeader value)`
`void` | `applyTo(HttpURLConnection urlConnection)`
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsTextOrNoContentType()`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<UpnpHeader.Type,List<UpnpHeader>>>` | `entrySet()`
`boolean` | `equals(Object o)`
`List<UpnpHeader>` | `get(Object o)`
`UpnpHeader[]` | `getAsArray(UpnpHeader.Type type)`
`UpnpHeader` | `getFirstHeader(UpnpHeader.Type type)`
`
`<H extends UpnpHeader> H`
` | `getFirstHeader(UpnpHeader.Type type, Class<H> subtype)`
`String` | `getPrefix(UpnpHeader.Type key)`
`String` | `getPrefixedHttpName(UpnpHeader.Type key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set<UpnpHeader.Type>` | `keySet()`
`void` | `logHeaders()`
`List<UpnpHeader>` | `put(UpnpHeader.Type key, List<UpnpHeader> value)`
`void` | `putAll(Map<? extends UpnpHeader.Type,? extends List<UpnpHeader>> map)`
`List<UpnpHeader>` | `remove(Object key)`
`void` | `setPrefix(UpnpHeader.Type key, String prefix)`
`int` | `size()`
`org.teleal.common.http.Headers` | `toHttpHeaders()`
`String` | `toString()`
`protected UpnpHeaders` | `toUpnpHeaders(org.teleal.common.http.Headers rawHeaders)`
`Collection<List<UpnpHeader>>` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpnpHeaders

    public UpnpHeaders()

### UpnpHeaders

    public UpnpHeaders(Map<UpnpHeader.Type,List<UpnpHeader>> map)

### UpnpHeaders

    public UpnpHeaders(org.teleal.common.http.Headers headers)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### get

    public List<UpnpHeader> get(Object o)

  Specified by:
    `get` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### put

    public List<UpnpHeader> put(UpnpHeader.Type key,
                                List<UpnpHeader> value)

  Specified by:
    `put` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### remove

    public List<UpnpHeader> remove(Object key)

  Specified by:
    `remove` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### putAll

    public void putAll(Map<? extends UpnpHeader.Type,? extends List<UpnpHeader>> map)

  Specified by:
    `putAll` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### keySet

    public Set<UpnpHeader.Type> keySet()

  Specified by:
    `keySet` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### values

    public Collection<List<UpnpHeader>> values()

  Specified by:
    `values` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### entrySet

    public Set<Map.Entry<UpnpHeader.Type,List<UpnpHeader>>> entrySet()

  Specified by:
    `entrySet` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<UpnpHeader.Type,List<UpnpHeader>>`
  Overrides:
    `hashCode` in class `Object`

### add

    public void add(UpnpHeader.Type key,
                    UpnpHeader value)

### getAsArray

    public UpnpHeader[] getAsArray(UpnpHeader.Type type)

### getFirstHeader

    public UpnpHeader getFirstHeader(UpnpHeader.Type type)

### getFirstHeader

    public <H extends UpnpHeader> H getFirstHeader(UpnpHeader.Type type,
                                                   Class<H> subtype)

### setPrefix

    public void setPrefix(UpnpHeader.Type key,
                          String prefix)

### getPrefix

    public String getPrefix(UpnpHeader.Type key)

### getPrefixedHttpName

    public String getPrefixedHttpName(UpnpHeader.Type key)

### containsTextOrNoContentType

    public boolean containsTextOrNoContentType()

### toHttpHeaders

    public org.teleal.common.http.Headers toHttpHeaders()

### applyTo

    public void applyTo(HttpURLConnection urlConnection)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toUpnpHeaders

    protected UpnpHeaders toUpnpHeaders(org.teleal.common.http.Headers rawHeaders)

### logHeaders

    public void logHeaders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.